<?xml version="1.0" encoding="UTF-8"?>
<!--
Materials definitions

Attributes:
* id - mandatory, type: string, semantic: defines name of the material to be referenced within
block tags
* lightopacity (int) - sunlight values can be 0-15. A block can reduce this by up to 15.
* hardness (float) - mandatory. Values go from 1 to infinite, hardness="1" means one hit with
current digger destroys the block
	<property name="Hardness" type="float" value="5"/>
	Block damage is reduced to 1/5 of default damage.
* explosionresistance (1.0f): The higher the better.
* collidable (bool):	this is used as default for a block that uses this material - but only if this
block does not override it with its own Collide mask.
		So if a material sets collideable and a block uses this material (without overriding it),
everything collides with this block
* movement_factor - optional, float: if specified then this factor is applied to the movement.
values < 1 slow down player. value = 1 does nothing, > 1 increases speed
* friction (0.454f) - default surface friction
* plant (bool) - optional, currently used only for farmland, if a "no plant" block is placed on top
of a farmland block it turns to dirt
* fertile_level (int) - optional, int: some plants need a certain fertile level to grow
* growable - optional, bool: a farm land block turn to dirt of no water and no "growable" block is
nearby
* stability_glue (int): in the horizontal plane, each of the 4 sides of this block will hold this
mass
* StabilitySupport (bool): if false, this block does not support anything built ON TOP of it
* Mass (2 int) : the counterpart of stability_glue. A stability_glue of 7 will not support a mass
of 9.
* MaxDamage (100 int) : hit points of the block

* damage_category = head, glass, stone, cloth, concrete, boulder, metal, wood, earth, snow, plants,
leaves
	Used to determine the damage category if an item hits this block.
	This corresponds to <property name="DamageBonus.earth" value="5"/> in items.xml so this is used for
bonus damage.

* surface_category = cloth, earth, glass, metal, organic, plant, stone, water, wood
	Used to determine the sound + effect on impact.
	Assets\Textures\Blocks\blocktextures.xml CAN override this on a per-texture base by referencing a
MATERIAL ID and using it's SURFACE_CATEGORY.
	If no VALID material id is referenced in blocktextures.xml, the surface_category of the BLOCK's
material is used.

* forge_category : needed to tally up smelt/scrap result
* ground_cover (bool)
* liquid
* particle_category
* particle_destroy_category
* stepsound (str)
* Experience (1.0f) :
	Making blocks fertile provides fertile block's material player exp.
	Repairing a block now gives xp based on materials used multiplied by their count.
	Upgrading a block now gives xp based on materials used multiplied by their count.
	Harvesting a block now gives xp based on item materials gained.
	Planting gives block material exp
	DO NOT use values <1. Actual XP awarded WILL be rounded down to int so it would zero on a harvested
count of 1.

Do not rename "basic" materials like cloth, metal, or stone. These auto-generate the particle
lookup query.
-->
<PathofChaos>
    <append xpath="/materials">
        <material id="MspectraFiber">
            <property name="damage_category" value="cloth" />
            <property name="surface_category" value="cloth" />
            <property name="forge_category" value="resourceSpectraFiber" />
            <property name="Hardness" type="float" value="1" />
            <property name="stepsound" value="cloth" />
            <property name="lightopacity" value="4" />
            <property name="stability_glue" value="2" />
            <property name="Mass" type="int" value="1" />
            <property name="StabilitySupport" value="false" />
            <property name="MaxDamage" value="5" />
            <property name="Experience" value="4" />
        </material>
    </append>
</PathofChaos>
